#cloud-config
coreos:
  update:
    reboot-strategy: {{ COREOS_REBOOT_STRATEGY | to_json }}
  units:
  - name: boot0.service
    command: start
    content: |
      [Unit]
      ConditionPathExists = !/etc/kubernetes/kubelet.conf
      Description = boot phase 0
      [Service]
      Type = oneshot
      ExecStart = /root/boot0.sh

write_files:
- path: /root/boot0.sh
  permissions: "0755"
  encoding: gzip+base64
  content: |
    {{ BOOT0_GZ_B64 | indent(4, first=False) }}

- path: /etc/kubernetes/cloud_config
  permissions: "0644"
  content: |
    [Global]
    kubernetesClusterId={{ OPENRAVEN_OKTA_GROUP_ID }}

- path: /root/boot0.env
  permissions: "0644"
  # language=jinja2
  content: |
    set -o allexport
    API_ENDPOINT="{{ API_ENDPOINT }}"
    AWS_CFN_STACK_NAME="{{ AWS_CFN_STACK_NAME }}"
    AWS_DEFAULT_REGION="{{ AWS_DEFAULT_REGION }}"
    AWS_SSM_ENABLED="{{ AWS_SSM_ENABLED }}"
    CA_CERT_HASH="{{ CA_CERT_HASH }}"
    CERT_KEY="{{ CERT_KEY }}"
    DEPLOY_CHANNEL="{{ DEPLOY_CHANNEL }}"
    GROUP_ID="{{ OPENRAVEN_OKTA_GROUP_ID }}"
    HOME=/root
    JOIN_TOKEN="{{ JOIN_TOKEN }}"
    K8S_VERSION="{{ K8S_VERSION }}"
    PATH=/opt/ansible/bin:$PATH:/opt/bin
    SEGMENT_WRITE_KEY="{{ SEGMENT_WRITE_KEY }}"
